Bug 495228 - NTP server setting
NTP server setting
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike Burns
Depends On:
  Show dependency treegraph
Reported: 2009-04-10 11:04 EDT by Mike McGrath
Modified: 2011-11-18 09:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-11-18 09:21:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2009-04-10 11:04:29 EDT
There doesn't seem to be a way to change the ntp settings for a node.  This an issue for cumulus because RHIT is mandating we pick specific ntp servers to sync from and the fedora defaults pull from a pool of servers.
Comment 1 Mike McGrath 2009-04-10 16:57:01 EDT
Actually I think SELinux is preventing dhclient from altering /etc/ntp.conf.  On boot I see an error message about it but haven't looked that closely as what's failing, just that it's trying and failing to alter ntp.conf
Comment 2 Mike McGrath 2009-04-10 17:33:29 EDT
Here's the boot message:

Determining IP information for breth3.../sbin/dhclient-script: line 402: /etc/ntp.conf: Permission denied                                                         
[  OK  ]
Comment 3 Mike McGrath 2009-04-20 10:38:15 EDT
interestingly I didn't get the error this time.  Same settings.  Also it did push to the ntp.conf file correctly.
Comment 4 Mike Burns 2011-11-18 09:21:23 EST
Edits to ntp servers are supported

Note You need to log in before you can comment on or make changes to this bug.